--- b/openstack_dashboard/dashboards/project/data_processing/clusters/workflows/create.py
+++ b/openstack_dashboard/dashboards/project/data_processing/clusters/workflows/create.py
@@ -162,9 +162,9 @@
         # cluster_template_id comes from cluster templates table, when
         # Create Cluster from template is clicked there
         selected_template_name = None
-        if "cluster_template_name" in request.resolver_match.kwargs:
+        if request.REQUEST.get("cluster_template_name"):
             selected_template_name = (
-                request.resolver_match.kwargs["cluster_template_name"])
+                request.REQUEST.get("cluster_template_name"))
         if selected_template_name:
             for template in templates:
                 if template.name == selected_template_name:
--- b/openstack_dashboard/dashboards/project/data_processing/jobs/workflows/create.py
+++ b/openstack_dashboard/dashboards/project/data_processing/jobs/workflows/create.py
@@ -89,9 +89,9 @@
     def __init__(self, request, context, *args, **kwargs):
         super(GeneralConfigAction,
               self).__init__(request, context, *args, **kwargs)
-        if "guide_job_type" in request.resolver_match.kwargs:
+        if request.REQUEST.get("guide_job_type"):
             self.fields["job_type"].initial = (
-                request.resolver_match.kwargs["guide_job_type"].lower())
+                request.REQUEST.get("guide_job_type").lower())
 
     def populate_job_type_choices(self, request, context):
         choices = [("pig", _("Pig")), ("hive", _("Hive")),
--- b/openstack_dashboard/dashboards/project/data_processing/nodegroup_templates/workflows/create.py
+++ b/openstack_dashboard/dashboards/project/data_processing/nodegroup_templates/workflows/create.py
@@ -155,11 +155,11 @@
         for param in node_parameters:
             self.fields[param.name] = workflow_helpers.build_control(param)
 
-        if "guide_template_type" in request.resolver_match.kwargs:
+        if request.REQUEST.get("guide_template_type"):
             self.fields["guide_template_type"] = forms.CharField(
                 required=False,
                 widget=forms.HiddenInput(),
-                initial=request.resolver_match.kwargs["guide_template_type"])
+                initial=request.REQUEST.get("guide_template_type"))
 
     def populate_flavor_choices(self, request, context):
         flavors = nova_utils.flavor_list(request)
--- b/openstack_dashboard/dashboards/project/data_processing/utils/workflow_helpers.py
+++ b/openstack_dashboard/dashboards/project/data_processing/utils/workflow_helpers.py
@@ -155,12 +155,11 @@
 
 
 def get_plugin_and_hadoop_version(request):
+    plugin_name = None
+    hadoop_version = None
     if request.REQUEST.get("plugin_name"):
         plugin_name = request.REQUEST["plugin_name"]
         hadoop_version = request.REQUEST["hadoop_version"]
-    else:
-        plugin_name = request.resolver_match.kwargs["plugin_name"]
-        hadoop_version = request.resolver_match.kwargs["hadoop_version"]
     return (plugin_name, hadoop_version)
 
 
--- a/openstack_dashboard/dashboards/project/data_processing/clusters/urls.py
+++ b/openstack_dashboard/dashboards/project/data_processing/clusters/urls.py
@@ -32,8 +32,2 @@
                            name='configure-cluster'),
-                       url(r'^configure-cluster'
-                           '/(?P<plugin_name>[^/]+)'
-                           '/(?P<hadoop_version>[^/]+)'
-                           '/(?P<cluster_template_name>[^/]+)/$',
-                           views.ConfigureClusterView.as_view(),
-                           name='configure-cluster'),
                        url(r'^(?P<cluster_id>[^/]+)$',
--- a/openstack_dashboard/dashboards/project/data_processing/jobs/urls.py
+++ b/openstack_dashboard/dashboards/project/data_processing/jobs/urls.py
@@ -29,6 +29,2 @@
                            name='create-job'),
-                       url(r'^create-job/'
-                           '(?P<guide_job_type>[^/]+)/$',
-                           views.CreateJobView.as_view(),
-                           name='create-job'),
                        url(r'^launch-job$',
--- a/openstack_dashboard/dashboards/project/data_processing/nodegroup_templates/urls.py
+++ b/openstack_dashboard/dashboards/project/data_processing/nodegroup_templates/urls.py
@@ -33,8 +33,2 @@
                            name='configure-nodegroup-template'),
-                       url(r'^configure-nodegroup-template'
-                           '/(?P<plugin_name>[^/]+)/'
-                           '(?P<hadoop_version>[^/]+)/'
-                           '(?P<guide_template_type>[^/]+)/$',
-                           views.ConfigureNodegroupTemplateView.as_view(),
-                           name='configure-nodegroup-template-defaults'),
                        url(r'^(?P<template_id>[^/]+)$',
--- a/openstack_dashboard/dashboards/project/data_processing/wizard/templates/data_processing.wizard/cluster_guide.html
+++ b/openstack_dashboard/dashboards/project/data_processing/wizard/templates/data_processing.wizard/cluster_guide.html
@@ -56,3 +56,3 @@
                             {% if not request.session.plugin_name or not request.session.plugin_version %} disabled {% endif %}"
-                            href="{% if request.session.plugin_name and request.session.plugin_version %}{% url 'horizon:project:data_processing.nodegroup_templates:configure-nodegroup-template-defaults' request.session.plugin_name request.session.plugin_version 'master' %}{% endif %}">
+                            href="{% if request.session.plugin_name and request.session.plugin_version %}{% url 'horizon:project:data_processing.nodegroup_templates:configure-nodegroup-template'%}?plugin_name={{ request.session.plugin_name }}&hadoop_version={{ request.session.plugin_version }}&guide_template_type=master{% endif %}">
                             <span class="fa fa-plus"></span> {% trans "Create a Master Node Group Template" %}</a>
@@ -83,3 +83,3 @@
                             {% if not request.session.master_name %} disabled{% endif %}"
-                            href="{% if request.session.plugin_name and request.session.plugin_version %}{% url 'horizon:project:data_processing.nodegroup_templates:configure-nodegroup-template-defaults' request.session.plugin_name request.session.plugin_version 'worker' %}{% endif %}">
+                            href="{% if request.session.plugin_name and request.session.plugin_version %}{% url 'horizon:project:data_processing.nodegroup_templates:configure-nodegroup-template'%}?plugin_name={{ request.session.plugin_name }}&hadoop_version={{ request.session.plugin_version }}&guide_template_type=worker{% endif %}">
                             <span class="fa fa-plus"></span> {% trans "Create a Worker Node Group Template" %}</a>
@@ -147,3 +147,3 @@
                             {% if not request.session.guide_cluster_template_name %} disabled{% endif %}"
-                            href="{% if request.session.guide_cluster_template_name %}{% url 'horizon:project:data_processing.clusters:configure-cluster' request.session.plugin_name request.session.plugin_version request.session.guide_cluster_template_name%}{% endif %}">
+                            href="{% if request.session.guide_cluster_template_name %}{% url 'horizon:project:data_processing.clusters:configure-cluster'%}?plugin_name={{ request.session.plugin_name }}&hadoop_version={{ request.session.plugin_version }}&cluster_template_name={{ request.session.guide_cluster_template_name }}{% endif %}">
                             <span class="fa fa-plus"></span> {% trans "Launch a Cluster" %}</a>
--- a/openstack_dashboard/dashboards/project/data_processing/wizard/templates/data_processing.wizard/jobex_guide.html
+++ b/openstack_dashboard/dashboards/project/data_processing/wizard/templates/data_processing.wizard/jobex_guide.html
@@ -69,3 +69,3 @@
                         <a class="btn btn-default btn-small btn-create btn-inline ajax-modal{% if not request.session.guide_job_type %} disabled{% endif %}"
-                           href="{% url 'horizon:project:data_processing.jobs:create-job' request.session.guide_job_type %}">
+                           href="{% url 'horizon:project:data_processing.jobs:create-job'%}?guide_job_type={{ request.session.guide_job_type }}">
                             <span class="fa fa-plus"></span> {% trans "Create a job template" %}</a>
